Subject: Re: [CODE4LIB] [MODS-EC] FW: [CODE4LIB] MIME Type for MARC, Mods, etc.?

From: "Ray Denenberg, Library of Congress" <[email-masked]>
Date: Thu, 12 Feb 2009 17:25:42 -0500

Hello, this thread was recently brought to my attention.  (And then it took 
longer than it should have to get subscribed to this list. And I haven't 
seen an archive so I don't know if there has been any discussion beyond 2/4. 
Anyway.... )

We (LC) decided a year ago to register mime types for both MODS and MARC but 
regrettably got sidetracked. We're back on track now and it should be done 
reasonably soon.

--Ray Denenberg

----- Original Message ----- 
From: "Riley, Jenn" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, February 04, 2009 6:58 PM
Subject: Re: [MODS-EC] FW: [CODE4LIB] MIME Type for MARC, Mods, etc.?

Cool! Can you post a response to CODE4LIB?

Thanks,

Jenn

-----Original Message-----
From: MODS Editorial Committee Forum [mailto:[email-masked]] On Behalf Of 
Ray Denenberg, Library of Congress
Sent: Wednesday, February 04, 2009 6:56 PM
To: [email-masked]
Subject: Re: [MODS-EC] FW: [CODE4LIB] MIME Type for MARC, Mods, etc.?

Application  for mime types for MARC and MODS is in the works. It's been
slowed down but we're back to moving it along and it should be reasonably
soon, I hope. --Ray

----- Original Message ----- 
From: "Riley, Jenn" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, February 04, 2009 6:42 PM
Subject: [MODS-EC] FW: [CODE4LIB] MIME Type for MARC, Mods, etc.?

Something for us to think about...

Jenn

> -----Original Message-----
> From: Code for Libraries [mailto:[email-masked]] On Behalf Of
> Jonathan Rochkind
> Sent: Wednesday, February 04, 2009 10:59 AM
> To: [email-masked]
> Subject: Re: [CODE4LIB] MIME Type for MARC, Mods, etc.?
>
> You CAN use application/xml for any XML, but it's often useful to have
> a
> specific type for your specific content, so the user-agent can know
> what
> to do with it.  The convention is to include "+xml" on the end, so if
> the user agent doens't know your specific format, it can fall back to
> treating it as generic XML.
>
> For instance:
>
> application/rss+xml
> application/atom+xml
> application/rdf+xml
>
> And dozens more you can see at:
> http://www.iana.org/assignments/media-types/application/   (search for
> "+xml").
>
> Thanks to Mark and Ross Singer for pointing out application/marc
> already
> exists. (and is on that list above).  Awesome.
>
> I'm still feeling the need for application/marc+xml, and
> application/mods+xml
>
> Jonathan
>
> Ethan Gruber wrote:
> > Correct me if I'm wrong, but wouldn't the mime type for MARC-XML and
> MODS be
> > application/xml, like every other xml file?  As for MARC-binary, I
> can't
> > say.  I don't have any of those files handy.
> >
> > Ethan
> >
> > On Wed, Feb 4, 2009 at 10:47 AM, Jonathan Rochkind <[email-masked]>
> wrote:
> >
> >
> >> I am actually rather shocked that it seems that MARC-XML, MODS,
> >> MARC21-binary, do not have registered Internet Content Types (aka
> MIME
> >> types).
> >>
> >> Am I missing something, or is this really so?
> >>
> >> Anyone know what the process is for registering such?  Anyone want
> to help
> >> try to do that? I guess we'd probably have to talk to the standards
> >> organizations for each of those types, rather than doing it
> independently?
> >>
> >> Jonathan
> >>
> >>
> >
> >